Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jms
Interface XAConnection

All Superinterfaces:
  Connection

All Known Subinterfaces:
  XAQueueConnection, XATopicConnection

    public interface XAConnection

extends Connection

The `XAConnection` interface extends the capability of `Connection` by providing an `XASession` (optional).

The `XAConnection` interface is optional. JMS providers are not required to support this interface. This interface is for use by JMS providers to support transactional environments. Client programs are strongly encouraged to use the transactional support available in their environment, rather than use these XA interfaces directly.

See Also:
  `XAQueueConnection`, `XATopicConnection`

Method Summary
`Session` | `createSession(boolean transacted, int acknowledgeMode)` Creates an `Session` object.
`XASession` | `createXASession()` Creates an `XASession` object.

Methods inherited from interface javax.jms.Connection
`close, createConnectionConsumer, createDurableConnectionConsumer, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

Method Detail

### createXASession

    XASession createXASession()
                              throws JMSException

  Creates an `XASession` object.

  Returns:
    a newly created `XASession`
  Throws:
    `JMSException` - if the `XAConnection` object fails to create an `XASession` due to some internal error.
  Since:
    1.1

### createSession

    Session createSession(boolean transacted,
                          int acknowledgeMode)
                          throws JMSException

  Creates an `Session` object.

  Specified by:
    `createSession` in interface `Connection`
  Parameters:
    `transacted` - usage undefined
    `acknowledgeMode` - usage undefined
  Returns:
    a `Session` object
  Throws:
    `JMSException` - if the `XAConnection` object fails to create an `Session` due to some internal error.
  Since:
    1.1
  See Also:
    `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, `Session.DUPS_OK_ACKNOWLEDGE`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.